summaryrefslogtreecommitdiffstats
path: root/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S08syslog
diff options
context:
space:
mode:
Diffstat (limited to 'target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S08syslog')
-rwxr-xr-xtarget/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S08syslog24
1 files changed, 24 insertions, 0 deletions
diff --git a/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S08syslog b/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S08syslog
new file mode 100755
index 000000000..58b05925d
--- /dev/null
+++ b/target/device/Atmel/atngw100-base/target_skeleton/etc/init.d/S08syslog
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+SYSLOGD=/sbin/syslogd
+
+echo -n "Starting syslogd: "
+if [ ! -x "${SYSLOGD}" ]; then
+ echo "missing"
+ exit 1
+fi
+
+if ${SYSLOGD}; then
+ echo "done"
+else
+ echo "failed"
+ exit 1
+fi
+
+echo -n "Log messages to syslog: "
+if echo 4 4 1 7 > /proc/sys/kernel/printk; then
+ echo "done"
+else
+ echo "failed"
+ exit 1
+fi